<div class="container-fluid">
    <div class="row main-row">
       <div [ngSwitch]="assessmentInfoStatus?.statusEnum" class="col-md-6 offset-md-3 main-action-div">
            <span class="organization-img img-fluid"></span>
            <span *ngSwitchCase="ExSTATUS.REVISIT" class="fa fa-check-circle fa-lg checked"></span>
			<span *ngSwitchCase="ExSTATUS.RESUME" class="fa fa-exclamation-circle fa-lg exclamation"></span><span
            class="vertical-line"></span> <span class="text col-sm-7">Organization</span>

			<jhi-button *ngSwitchCase="ExSTATUS.RESUME" [class.disabled]="isQAUser || !assessmentInfoStatus" class="float-right"
				resume [routerLink]="['/saq/assessment-info/', infoRoute]">Resume
			</jhi-button>
			<jhi-button *ngSwitchCase="ExSTATUS.REVISIT" [class.disabled]="isQAUser || !assessmentInfoStatus" class="float-right"
				revisit [routerLink]="['/saq/assessment-info/summary']">Revisit
			</jhi-button>
           <jhi-button *ngSwitchDefault [class.disabled]="isQAUser || !assessmentInfoStatus" class="float-right"
                       organization-start [routerLink]="['/saq/assessment-info/organization']">Start
           </jhi-button>
        </div>
    </div>
    <div *ngIf="tenantId?.includes('serviceprovider_saqd')" class="row main-row">
		<div [ngSwitch]="summaryStatus?.status"
			class="col-md-6 offset-md-3 main-action-div">
			<span class="summary-img img-fluid"></span>
			<span *ngSwitchCase="ExSTATUS.REVISIT" class="fa fa-check-circle fa-lg checked"></span>
			<span *ngSwitchCase="ExSTATUS.RESUME" class="fa fa-exclamation-circle fa-lg exclamation"></span>
			<span
				class="vertical-line"></span> <span class="text col-sm-7">Executive
				Summary</span>
			<jhi-button *ngSwitchCase="ExSTATUS.RESUME" [class.disabled]="isQAUser || !summaryStatus" class="float-right"
				resume [routerLink]="['/saq/executive-summary/', exSummaryRoute]">Resume
			</jhi-button>
			<jhi-button *ngSwitchCase="ExSTATUS.REVISIT" [class.disabled]="isQAUser || !summaryStatus" class="float-right"
				revisit [routerLink]="['/saq/executive-summary/summary']">Revisit
			</jhi-button>
            <jhi-button *ngSwitchDefault [class.disabled]="isQAUser || !summaryStatus" class="float-right"
                        organization-start [routerLink]="['/saq/executive-summary/scope-verification']">Start
            </jhi-button>
		</div>
	</div>
	<div *ngIf="tenantId?.includes('merchant_saqd') || isAdmin" class="row main-row">
		<div [ngSwitch]="merchantSummaryStatus?.status"
			class="col-md-6 offset-md-3 main-action-div">
			<span class="summary-img img-fluid"></span>
			<span *ngSwitchCase="ExSTATUS.REVISIT" class="fa fa-check-circle fa-lg checked"></span>
			<span *ngSwitchCase="ExSTATUS.RESUME" class="fa fa-exclamation-circle fa-lg exclamation"></span><span
				class="vertical-line"></span> <span class="text col-sm-7">Executive
				Summary</span>
			<jhi-button *ngSwitchCase="ExSTATUS.RESUME" [class.disabled]="isAdmin || isQAUser || !merchantSummaryStatus" class="float-right"
				resume [routerLink]="['/saq/executive-summary/', exSummaryRoute]">Resume
			</jhi-button>
			<jhi-button *ngSwitchCase="ExSTATUS.REVISIT" [class.disabled]="isAdmin || isQAUser || !merchantSummaryStatus" class="float-right"
				revisit [routerLink]="['/saq/executive-summary/summary']">Revisit
			</jhi-button>
            <jhi-button *ngSwitchDefault [class.disabled]="isAdmin || isQAUser || !merchantSummaryStatus" class="float-right"
                        organization-start [routerLink]="['/saq/executive-summary/scope-verification']">Start
            </jhi-button>
		</div>
	</div>
    <div class="row main-row">
        <div *ngIf="!isQAUser" [ngSwitch]="reviewDetails?.status" class="col-md-6 offset-md-3 main-action-div">
            <span class="saq-img img-fluid"></span>
            <span class="vertical-line"></span>
            <span class="text col-sm-7">Self Assessment Questionnaire(SAQ)</span>
            <jhi-button *ngIf="!reviewDetails" class="float-right" organization-start
                        [routerLink]="['/saq/assessment/requirement-category']">Start
            </jhi-button>
            <jhi-button *ngSwitchCase="STATUS.RESPONSE_REQUIRED" class="float-right" organization-review
                        [routerLink]="['/saq/assessment/correction/summary']">Review
            </jhi-button>
            <jhi-button *ngSwitchCase="STATUS.REVIEW_REQUIRED" class="float-right"
                        organization-pending [routerLink]="['/saq/assessment/requirement-category']">Pending
            </jhi-button>
            <jhi-button *ngSwitchCase="STATUS.NEW" class="float-right"
                        organization-pending [routerLink]="['/saq/assessment/requirement-category']">Pending
            </jhi-button>
            <jhi-button *ngSwitchCase="STATUS.PENDING" class="float-right"
                        organization-pending [routerLink]="['/saq/assessment/requirement-category']">Pending
            </jhi-button>
            <jhi-button *ngSwitchCase="STATUS.SENT_TO_AOC" class="float-right" done
                        [routerLink]="['/saq/assessment/correction/summary']" [queryParams]="{status: 'complete'}">Done
            </jhi-button>
        </div>
        <div *ngIf="isQAUser" class="col-md-6 offset-md-3 main-action-div">
            <span class="saq-img img-fluid"></span>
            <span class="vertical-line"></span>
            <span class="text col-sm-7">Self Assessment Questionnaire(SAQ)</span>

            <jhi-button *ngIf="reviewDetails?.status !== STATUS.SENT_TO_AOC" class="float-right" [routerLink]="['/saq/assessment/review']" organization-open>Open</jhi-button>
            <jhi-button *ngIf="reviewDetails?.status === STATUS.SENT_TO_AOC" class="float-right" [routerLink]="['/saq/assessment/review']" done>Done</jhi-button>
        </div>
    </div>
    <div class="row main-row">
        <div class="col-md-6 offset-md-3 main-action-div">
            <span class="aoc-img img-fluid"></span> <span
            class="vertical-line"></span> <span class="text col-sm-7">Attestation of Compliance</span>
            <jhi-button class="float-right" [class.disabled]="isQAUser"
                    [routerLink]="['/attestation']" organization-start>Start</span>
            </jhi-button>
        </div>
    </div>
    <div class="row main-row">
        <div class="col-md-6 offset-md-3 main-action-div">
            <span class="roc-img img-fluid"></span> <span
            class="vertical-line"></span> <span class="text col-sm-7">Report on Compliance (ROC)</span>
            <jhi-button class="float-right" organization-start>Start
            </jhi-button>
        </div>
    </div>
</div>
